Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76730 - Error message when upgrading to errata ypserv-2.5-2.7x
Summary: Error message when upgrading to errata ypserv-2.5-2.7x
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ypserv
Version: 7.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-25 15:59 UTC by Bernd Bartmann
Modified: 2015-01-08 00:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-10-26 12:44:17 UTC


Attachments (Terms of Use)

Description Bernd Bartmann 2002-10-25 15:59:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
While updating my Red Hat 7.0 servers to ypserv-2.5-2.7x I get this error message:
[root@rpfirew i386]# rpm -Uvh ypserv-2.5-2.7x.i386.rpm 
Preparing...                ########################################### [100%]
   1:ypserv                 ########################################### [100%]
rpmdb: Suspiciously high nelem of 4294967295 on page 0
Fehler: db4 error(-30979) from db->verify: DB_VERIFY_BAD: Database verification
failed

This happens on all of my RedHat 7.0 servers but on no RedHat 7.2/7.3 server.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Update a RedHat 7.0 system to ypserv-2.5-2.7x
2. Look at the messages from rpm
3.
	

Additional info:

Comment 1 Peter Verthez 2002-10-26 12:44:11 UTC
Also happens for me on Red Hat 7.1


Comment 2 Alexander Larsson 2002-11-05 09:02:15 UTC
You need to do rpm --rebuilddb to fix this.
This is a known issue with upgrading the rpm in 7.0/1 i think. At least a lot of
people have seen this.



Comment 3 Peter Verthez 2002-11-08 19:09:33 UTC
rpm --rebuilddb has indeed solved the problem for me.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.